Package com.avaya.clientservices.call.conference

## Enum ParticipantMediaStatus

- java.lang.Object
- - java.lang.Enum<ParticipantMediaStatus>
  - - com.avaya.clientservices.call.conference.ParticipantMediaStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ParticipantMediaStatus>`

      public enum ParticipantMediaStatus
      extends java.lang.Enum<ParticipantMediaStatus>

  Enumeration representing the participant media status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOTH_MUTED` | The participant has muted itself and the media from this participant is also blocked by server.
    `NO_MEDIA` | There is no media
    `RECEIVE_ONLY` | Media is being received, but not sent.
    `SELF_MUTED` | The participant has muted itself.
    `SEND_BLOCKED_BY_SERVER` | Media is being received, but other participant doesn't get media from this participant, because server has blocked it.
    `SEND_ONLY` | Media is being sent, but not received.
    `SEND_RECEIVE` | Media is being sent and received.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ParticipantMediaStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ParticipantMediaStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_MEDIA

          public static final ParticipantMediaStatus NO_MEDIA

      There is no media

    - #### RECEIVE_ONLY

          public static final ParticipantMediaStatus RECEIVE_ONLY

      Media is being received, but not sent.

    - #### SEND_ONLY

          public static final ParticipantMediaStatus SEND_ONLY

      Media is being sent, but not received.

    - #### SEND_RECEIVE

          public static final ParticipantMediaStatus SEND_RECEIVE

      Media is being sent and received.

    - #### SEND_BLOCKED_BY_SERVER

          public static final ParticipantMediaStatus SEND_BLOCKED_BY_SERVER

      Media is being received, but other participant doesn't get media from this participant, because server has blocked it.

    - #### SELF_MUTED

          public static final ParticipantMediaStatus SELF_MUTED

      The participant has muted itself.

    - #### BOTH_MUTED

          public static final ParticipantMediaStatus BOTH_MUTED

      The participant has muted itself and the media from this participant is also blocked by server.

  - ### Method Detail

    - #### values

          public static ParticipantMediaStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ParticipantMediaStatus c : ParticipantMediaStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ParticipantMediaStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null